menu

Home

search

API Playground

Introduction

This interactive environment allows you to test Ambee APIs live, giving you hands-on experience with our data offerings. Before you begin, ensure you have an API key. To know more about API Keys, please visit the API keys section.

Explore endpoints

Our endpoints section details all available endpoints. The documentation for each endpoint includes the required parameters and the response structure you can expect.

GET
https://api.ambeedata.com/astronomical/solar-parameters/latest
HEADERS
requiredvisibility
Signup/login on API dashboard and copy your API key from the home page. Learn more if you have any doubts.
Response can be modified as per your language choice.
PARAMETERS
required
Latitude of the search location. Latitude must be between -90 and 90
required
Longitude of the search location. Longitude must be between -180 and 180
If set to true, timeLocal is added to the response (Allowed Value: True | False)
Response
Request
RESPONSE CODE
{ "message": "success", "data": [ { "lat": 21, "lng": 77, "timezone": "Asia/Kolkata", "timestamp": "2026-09-24T07:00:00.000Z", "solar_azimuth": 190.97, "solar_elevation": 68.58, "sunrise": "2026-09-24T06:10:38+05:30", "sunset": "2026-09-24T18:17:20+05:30" } ] }

Was this page helpful?
happy-emoji

Yes

sad-emoji

No